Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		ipmiutil
#Epoch:		0
Version:	2.7.2
Release:	1
License:	BSD
URL:		http://ipmiutil.sourceforge.net/
Group:		System/Configuration/Hardware	
Summary:	IPMI management utilities
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: openssl

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: openssl-devel

%description
IPMIUTIL performs a series of common IPMI server management functions to allow administrators to perform management functions without a learning curve. It can gather FRU inventory data, SEL firmware log, sensors, watchdog, power control, health, monitoring, and has an SOL console. It can write sensor thresholds, FRU asset tags, and supports a full IPMI configuration save/restore.

The IPMI Management Utilities project provides a series of utilities that perform common IPMI server management functions, such as viewing the firmware log (ipmiutil sel), or configuring the BMC LAN & PEF features (ipmiutil lan). The utilities are designed for end-users, so that they should not require intimate knowledge of how to build IPMI commands. Each of the utilities detects or reasonably assigns default values so that a working configuration can be easily obtained. More detailed options allow changes to these default values. These utilities can be used separately, or merged with a larger server management subsystem.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.daily/checksel
%{_sysconfdir}/rc.d/init.d/ipmi_port
%{_sysconfdir}/rc.d/init.d/ipmiutil_asy
%{_sysconfdir}/rc.d/init.d/ipmiutil_evt
%{_sysconfdir}/rc.d/init.d/ipmiutil_wdt
%{_sbindir}/ialarms
%{_sbindir}/icmd
%{_sbindir}/iconfig
%{_sbindir}/idiscover
%{_sbindir}/ievents
%{_sbindir}/ifirewall
%{_sbindir}/ifru
%{_sbindir}/ifwum
%{_sbindir}/igetevent
%{_sbindir}/ihealth
%{_sbindir}/ihpm
%{_sbindir}/ilan
%{_sbindir}/ipicmg
%{_sbindir}/ipmi_port
%{_sbindir}/ipmiutil
%{_sbindir}/ireset
%{_sbindir}/isel
%{_sbindir}/isensor
%{_sbindir}/iserial
%{_sbindir}/isol
%{_sbindir}/iwdt
%{_datadir}/ipmiutil/bmclanpet.mib
%{_datadir}/ipmiutil/evt.sh
%{_datadir}/ipmiutil/ipmi_if.sh
%{_mandir}/man8/ialarms.8.gz
%{_mandir}/man8/icmd.8.gz
%{_mandir}/man8/iconfig.8.gz
%{_mandir}/man8/idiscover.8.gz
%{_mandir}/man8/iekanalyzer.8.gz
%{_mandir}/man8/ievents.8.gz
%{_mandir}/man8/ifirewall.8.gz
%{_mandir}/man8/ifru.8.gz
%{_mandir}/man8/ifwum.8.gz
%{_mandir}/man8/igetevent.8.gz
%{_mandir}/man8/ihealth.8.gz
%{_mandir}/man8/ihpm.8.gz
%{_mandir}/man8/ilan.8.gz
%{_mandir}/man8/ipicmg.8.gz
%{_mandir}/man8/ipmi_port.8.gz
%{_mandir}/man8/ipmiutil.8.gz
%{_mandir}/man8/ireset.8.gz
%{_mandir}/man8/isel.8.gz
%{_mandir}/man8/isensor.8.gz
%{_mandir}/man8/iserial.8.gz
%{_mandir}/man8/isol.8.gz
%{_mandir}/man8/isunoem.8.gz
%{_mandir}/man8/iwdt.8.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Dec 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7.2-1
- initial CCux package release
